OperatorCategory (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class OperatorCategory

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.OperatorCategory

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class OperatorCategory
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatorCategory()`
    `OperatorCategory(String id, String briefDescription, String description)`
    `OperatorCategory(String id, String briefDescription, String description, boolean hasImage)`
    `OperatorCategory(String id, String briefDescription, String description, List<Operator> operators)`
    `OperatorCategory(String id, String name, String briefDescription, String description, List<Operator> operators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOperator(Operator operator)`
    `OperatorCategory` | `clone()`
    `String` | `getBriefDescription()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `List<Operator>` | `getOperators()`
    `boolean` | `hasImage()`
    `void` | `setBriefDescription(String briefDescription)`
    `void` | `setDescription(String description)`
    `void` | `setHasImage(boolean hasImage)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setOperators(List<Operator> operators)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperatorCategory

          public OperatorCategory()

    - #### OperatorCategory

          public OperatorCategory(String id,
                          String briefDescription,
                          String description)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -

    - #### OperatorCategory

          public OperatorCategory(String id,
                          String briefDescription,
                          String description,
                          boolean hasImage)

      Parameters:
        `string` -
        `string2` -
        `string3` -
        `b` -

    - #### OperatorCategory

          public OperatorCategory(String id,
                          String briefDescription,
                          String description,
                          List<Operator> operators)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `operators` -

    - #### OperatorCategory

          public OperatorCategory(String id,
                          String name,
                          String briefDescription,
                          String description,
                          List<Operator> operators)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `operators` -

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getBriefDescription

          public String getBriefDescription()

      Returns:
        the briefDescription

    - #### setBriefDescription

          public void setBriefDescription(String briefDescription)

      Parameters:
        `briefDescription` - the briefDescription to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### getOperators

          public List<Operator> getOperators()

      Returns:
        the operators

    - #### setOperators

          public void setOperators(List<Operator> operators)

      Parameters:
        `operators` - the operators to set

    - #### addOperator

          public void addOperator(Operator operator)

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getName

          public String getName()

      Returns:
        the name

    - #### hasImage

          public boolean hasImage()

    - #### setHasImage

          public void setHasImage(boolean hasImage)

      Parameters:
        `hasImage` - the hasImage to set

    - #### clone

          public OperatorCategory clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.